<ion-header>
  <ion-toolbar>
    <section class="ion-padding">
      <ion-row>
        <ion-col size="12" class="vertical-align ion-text-end ion-justify-content-end">
          <div class="button1 mar-right10">
            <img src="assets/icon/rating.png">Rate Us
          </div>
          <div class="button1 mar-right10">
            <img src="assets/icon/rating.png">Rate Us
          </div>
          <div class="notification-icon">
            <img src="assets/icon/notification.png">
          </div>
        </ion-col>
      </ion-row>
    </section>
  </ion-toolbar>
</ion-header>
<ion-content class="ion-padding-horizontal">
  <ion-row>
    <ion-col sizeXs="12" sizeSm="12" sizeMd="10" offsetMd="1" sizeXl="10" offsetXl="1">
      <section class="class-banner">
        <ion-row>
          <ion-col size="9">
            <ion-row>
              <ion-col size="12">
                <ion-text class="banner-title">
                  IIT JEE Advance
                </ion-text>
              </ion-col>
              <ion-col size="12" class="no-padding-bottom">
                <ion-text class="banner-subtitle">
                  Select Your Category
                </ion-text>
              </ion-col>
              <ion-col size="6">
                <ion-progress-bar color="primary" value="0.7"></ion-progress-bar>
              </ion-col>
            </ion-row>
          </ion-col>
          <ion-col size="3" class="ion-margin-bottom">
            <div class="banner-image">
              <img src="assets/icon/icon(1).png">
            </div>
          </ion-col>
        </ion-row>
      </section>
    </ion-col>
  </ion-row>
  <section class="tab-section">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="12" sizeMd="10" offsetMd="1" sizeXl="10" offsetXl="1">
        <ion-row>
          <ion-col size="3" (click)="changeTab('video')">
            <div class="tab-cart" [ngClass]="{'active-cart': activeTab === 'video'}">
              <ion-row>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="tab-title vertical-align">
                    Video Lectures
                  </ion-text>
                </ion-col>
              </ion-row>
            </div>
          </ion-col>
          <ion-col size="3" (click)="changeTab('study')">
            <div class="tab-cart" [ngClass]="{'active-cart': activeTab === 'study'}">
              <ion-row>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="tab-title vertical-align">
                    Study Material
                  </ion-text>
                </ion-col>
              </ion-row>
            </div>
          </ion-col>
          <ion-col size="3" (click)="changeTab('question')">
            <div class="tab-cart" [ngClass]="{'active-cart': activeTab === 'question'}">
              <ion-row>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="tab-title vertical-align">
                   Question Bank
                  </ion-text>
                </ion-col>
              </ion-row>
            </div>
          </ion-col>
          <ion-col size="3" (click)="changeTab('dpp')">
            <div class="tab-cart" [ngClass]="{'active-cart': activeTab === 'dpp'}">
              <ion-row>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="tab-title vertical-align">
                    DPP
                  </ion-text>
                </ion-col>
              </ion-row>
            </div>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding-horizontal" *ngIf="activeTab === 'video'">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-row>
          <ion-col size="12" *ngFor="let video of videos; let i = index">
            <ion-card class="video-card">
              <ion-row>
                <ion-col size="2">
                  <div class="vertical-align">
                    <img [src]="video.image">
                  </div>
                </ion-col>
                <ion-col size="10" class="vertical-align ion-justify-content-start ion-text-start">
                  <ion-row>
                    <ion-col size="12" class="no-padding-bottom">
                      <ion-text class="sub-title">
                        Part - Test {{video.title}}
                      </ion-text>
                    </ion-col>
                    <ion-col size="12">
                      <ion-text class="super-sub-title">
                        <ion-text>{{video.subtitle}} </ion-text>
                      </ion-text>
                    </ion-col>
                  </ion-row>
                </ion-col>
              </ion-row>
            </ion-card>
          </ion-col>
        </ion-row>

      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding-horizontal" *ngIf="activeTab === 'study'">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-row>
          <ion-col size="12" *ngFor="let study of studies; let i = index">
            <ion-card class="video-card">
              <ion-row>
                <ion-col size="2">
                  <div class="vertical-align">
                    <img [src]="study.image">
                  </div>
                </ion-col>
                <ion-col size="10" class="vertical-align ion-justify-content-start ion-text-start">
                  <ion-row>
                    <ion-col size="12" class="no-padding-bottom">
                      <ion-text class="sub-title">
                        Part - Test {{study.title}}
                      </ion-text>
                    </ion-col>
                    <ion-col size="12">
                      <ion-text class="super-sub-title">
                        <ion-text>{{study.subtitle}} </ion-text>
                      </ion-text>
                    </ion-col>
                  </ion-row>
                </ion-col>
              </ion-row>
            </ion-card>
          </ion-col>
        </ion-row>

      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding-horizontal" *ngIf="activeTab === 'question'">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-row>
          <ion-col size="12" *ngFor="let question of questions; let i = index">
            <ion-card class="video-card">
              <ion-row>
                <ion-col size="2">
                  <div class="vertical-align">
                    <img [src]="question.image">
                  </div>
                </ion-col>
                <ion-col size="10" class="vertical-align ion-justify-content-start ion-text-start">
                  <ion-row>
                    <ion-col size="12" class="no-padding-bottom">
                      <ion-text class="sub-title">
                        Part - Test {{question.title}}
                      </ion-text>
                    </ion-col>
                    <ion-col size="12">
                      <ion-text class="super-sub-title">
                        <ion-text>{{question.subtitle}} </ion-text>
                      </ion-text>
                    </ion-col>
                  </ion-row>
                </ion-col>
              </ion-row>
            </ion-card>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding-horizontal" *ngIf="activeTab === 'dpp'">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-row>
          <ion-col size="12" *ngFor="let dpp of dpps; let i = index">
            <ion-card class="video-card">
              <ion-row>
                <ion-col size="2">
                  <div class="vertical-align">
                    <img [src]="dpp.image">
                  </div>
                </ion-col>
                <ion-col size="10" class="vertical-align ion-justify-content-start ion-text-start">
                  <ion-row>
                    <ion-col size="12" class="no-padding-bottom">
                      <ion-text class="sub-title">
                        Part - Test {{dpp.title}}
                      </ion-text>
                    </ion-col>
                    <ion-col size="12">
                      <ion-text class="super-sub-title">
                        <ion-text>{{dpp.subtitle}} </ion-text>
                      </ion-text>
                    </ion-col>
                  </ion-row>
                </ion-col>
              </ion-row>
            </ion-card>
          </ion-col>
        </ion-row>

      </ion-col>
    </ion-row>
  </section>
</ion-content>
